const express = require('express');
const router = express.Router();
const bodyparse = require('body-parser');

router.use(bodyparse.json());
router.use(bodyparse.urlencoded({extended: true}));

const session = require('express-session');
const memcache = require("connect-memcached")(session);
const crypto = require('crypto');

router.use(
    session({
        secret: process.env.SESSION_SECRET,
        secure: true,
        resave: false,
        saveUninitialized: true,
        store: new memcache({
            hosts: [process.env.SESSION_MEMCACHE_HOST],
            secret: process.env.SESSION_SECRET +
            crypto.createHash('sha256', process.env.SESSION_SECRET).digest().toString('hex')
        })
    })
);

module.exports = router;